Show / Hide Table of Contents

# Class ExplicitProxyEndPoint

A proxy endpoint that the client is aware of So client application know that it is communicating with a proxy server

##### Inheritance

Object
ProxyEndPoint
ExplicitProxyEndPoint

##### Inherited Members

ProxyEndPoint.IpAddress
ProxyEndPoint.Port
ProxyEndPoint.DecryptSsl
ProxyEndPoint.IpV6Enabled
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ExplicitProxyEndPoint : ProxyEndPoint

### Constructors

#### ExplicitProxyEndPoint(IPAddress, Int32, Boolean)

Constructor.

##### Declaration

    public ExplicitProxyEndPoint(IPAddress ipAddress, int port, bool decryptSsl = true)

##### Parameters

Type | Name | Description
--- | --- | ---
IPAddress | ipAddress |
Int32 | port |
Boolean | decryptSsl |

### Properties

#### GenericCertificate

Generic certificate to use for SSL decryption.

##### Declaration

    public X509Certificate2 GenericCertificate { get; set; }

##### Property Value

Type | Description
--- | ---
X509Certificate2 |

### Events

#### BeforeTunnelConnectRequest

Intercept tunnel connect request Valid only for explicit endpoints Set the DecryptSsl property to false if this HTTP connect request should'nt be decrypted and instead be relayed

##### Declaration

    public event AsyncEventHandler<TunnelConnectSessionEventArgs> BeforeTunnelConnectRequest

##### Event Type

Type | Description
--- | ---
AsyncEventHandler<TunnelConnectSessionEventArgs> |

#### BeforeTunnelConnectResponse

Intercept tunnel connect response Valid only for explicit endpoints

##### Declaration

    public event AsyncEventHandler<TunnelConnectSessionEventArgs> BeforeTunnelConnectResponse

##### Event Type

Type | Description
--- | ---
AsyncEventHandler<TunnelConnectSessionEventArgs> |